# FdoGeometryStreamReader Class Reference

`#include <GeometryStreamReader.h>`

Inheritance diagram for FdoGeometryStreamReader:

[legend]

List of all members.

## Detailed Description

The FdoGeometryStreamReader class is a reader for serialized geometric data (abstract). The data source is defined by the implementation. FdoGeometryStreamReader is a helper type and does not inherit from FdoIGeometry.

Definition at line 37 of file GeometryStreamReader.h.

## Public Member Functions
virtual FDO_GEOM_API FdoByteArray * | GetData ()=0
| Gets an array representing the entire serialized Geometry.
virtual FDO_GEOM_API FdoGeometryStreamFactory * | GetFactory ()=0
| Gets a factory object that can create more streams of the same implementation type as this object.
virtual FDO_GEOM_API FdoInt32 | GetLength ()=0
| Gets the amount of data in the array returned by GetData(), in bytes.
virtual FDO_GEOM_API FdoByte | ReadByte ()=0
| Reads one byte from the stream.
virtual FDO_GEOM_API FdoIDirectPosition * | ReadDirectPosition (FdoInt32 dimension)=0
| Reads a geometric position with the given dimensionality from the stream.
virtual FDO_GEOM_API void | ReadDirectPositionByMembers (FdoInt32 dimensionality, double *x, double *y, double *z, double *m)=0
| Reads a geometric position with the given dimensionality from the stream, by value of its ordinates (for performance).
virtual FDO_GEOM_API double | ReadDouble ()=0
| Reads one number as a "double" from current position in the stream.
virtual FDO_GEOM_API FdoInt32 | ReadInt ()=0
| Reads one number as a "FdoInt32" from the stream.
virtual FDO_GEOM_API void | Reset ()=0
| Resets the current position to the beginning of the stream.
virtual FDO_GEOM_API void | SetData (const FdoByte *data, FdoInt32 count)=0
| Sets the array used by the reader.
virtual FDO_GEOM_API void | SetData (FdoByteArray *data)=0
| Sets the array used by the reader.
virtual FDO_GEOM_API void | SkipBytes (FdoInt32 count)=0
| Advances the current position by skipping past bytes.
virtual FDO_GEOM_API void | SkipDirectPositions (FdoInt32 dimension, FdoInt32 count)=0
| Advances the current position by skipping past geometric positions with the given dimension.
virtual FDO_GEOM_API void | SkipDoubles (FdoInt32 count)=0
| Advances the current position by skipping past doubles.
virtual FDO_GEOM_API void | SkipInts (FdoInt32 count)=0
| Advances the current position by skipping past integers.
## Protected Member Functions
FDO_GEOM_API | FdoGeometryStreamReader ()
| Constructs a default instance of a FdoGeometryStreamReader.
virtual FDO_GEOM_API | ~FdoGeometryStreamReader ()
| Default destructor.

The documentation for this class was generated from the following file:

- GeometryStreamReader.h